ambari-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Hudson (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (AMBARI-9581) curl unable to connect to Ambari when SSLv3 and TLSv1 is disabled
Date Thu, 12 Feb 2015 13:06:12 GMT

    [ https://issues.apache.org/jira/browse/AMBARI-9581?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14318147#comment-14318147
] 

Hudson commented on AMBARI-9581:
--------------------------------

SUCCESS: Integrated in Ambari-trunk-Commit #1747 (See [https://builds.apache.org/job/Ambari-trunk-Commit/1747/])
AMBARI-9581. curl unable to connect to Ambari when SSLv3 and TLSv1 is disabled (aonishuk)
(aonishuk: http://git-wip-us.apache.org/repos/asf?p=ambari.git&a=commit&h=b3ea5116a3feb42df1ae574c2bee11b1272b725a)
* ambari-agent/src/test/python/ambari_agent/TestAlerts.py
* ambari-server/src/test/python/stacks/2.1/HIVE/test_hive_metastore.py
* ambari-server/src/test/python/stacks/2.0.6/HIVE/test_hive_metastore.py
* ambari-agent/src/main/python/ambari_agent/alerts/script_alert.py
* ambari-server/src/test/python/stacks/2.0.6/hooks/before-ANY/test_before_any.py
* ambari-common/src/main/python/resource_management/core/source.py
* ambari-server/src/main/resources/common-services/STORM/0.9.1.2.1/package/scripts/setup_ranger_storm.py
* ambari-server/src/main/resources/stacks/HDP/2.0.6/hooks/before-START/scripts/shared_initialization.py
* ambari-server/src/main/resources/common-services/HIVE/0.12.0.2.0/package/scripts/setup_ranger_hive.py
* ambari-agent/src/test/python/resource_management/TestContentSources.py
* ambari-server/src/test/python/stacks/2.0.6/hooks/before-INSTALL/test_before_install.py
* ambari-common/src/main/python/resource_management/libraries/script/script.py
* ambari-server/src/main/resources/stacks/HDP/2.0.6/hooks/before-ANY/scripts/shared_initialization.py
* ambari-server/src/main/resources/stacks/HDP/2.0.6/hooks/before-INSTALL/scripts/shared_initialization.py
* ambari-common/src/main/python/resource_management/libraries/script/__init__.py
* ambari-server/src/main/resources/common-services/HDFS/2.1.0.2.0/package/scripts/namenode_upgrade.py
* ambari-common/src/main/python/resource_management/libraries/functions/__init__.py
* ambari-server/src/main/resources/common-services/OOZIE/4.0.0.2.0/package/scripts/oozie.py
* ambari-server/src/test/python/stacks/2.0.6/HIVE/test_hive_client.py
* ambari-server/src/main/resources/common-services/HIVE/0.12.0.2.0/package/scripts/hive.py
* ambari-agent/src/main/python/ambari_agent/Controller.py
* ambari-server/src/main/resources/common-services/HDFS/2.1.0.2.0/package/scripts/setup_ranger_hdfs.py
* ambari-server/src/test/python/stacks/2.0.6/HIVE/test_hive_server.py
* ambari-server/src/main/resources/common-services/OOZIE/4.0.0.2.0/package/scripts/oozie_server_upgrade.py
* ambari-server/src/test/python/stacks/utils/RMFTestCase.py
* ambari-agent/src/main/python/ambari_agent/AlertSchedulerHandler.py
* ambari-common/src/main/python/resource_management/core/constants.py
* ambari-server/src/main/resources/common-services/KNOX/0.5.0.2.2/package/scripts/setup_ranger_knox.py
* ambari-common/src/main/python/resource_management/core/environment.py
* ambari-common/src/main/python/resource_management/libraries/functions/constants.py
* ambari-server/src/main/resources/common-services/HBASE/0.96.0.2.0/package/scripts/setup_ranger_hbase.py
* ambari-server/src/main/resources/common-services/RANGER/0.4.0/package/scripts/setup_ranger.py


> curl unable to connect to Ambari when SSLv3 and TLSv1 is disabled
> -----------------------------------------------------------------
>
>                 Key: AMBARI-9581
>                 URL: https://issues.apache.org/jira/browse/AMBARI-9581
>             Project: Ambari
>          Issue Type: Bug
>            Reporter: Andrew Onischuk
>            Assignee: Andrew Onischuk
>             Fix For: 2.0.0
>
>
> requires SSLv3 and TLSv1.0 to be disabled for security reasons
> (see AMBARI-8019). The version of curl packaged with RHEL 6 does
> not support newer versions of TLS. More recent versions of curl do support TLS
> v1.1+ however they must use official packages with their automation system.
> Ambari relies on curl when starting Hive, to download the DB connector jar, so
> they are unable to start Hive using Ambari.
> STR:
>   * enable SSL in Ambari
>   * add to ambari.properties: security.server.disabled.protocols=SSL|SSLv2|SSLv3|TLSv1
>   * attempt to restart Hive via Ambari



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message